Bug 8276

Summary: groff postscript driver lacks support for A4 paper (w/fix)
Product: [Retired] Red Hat Linux Reporter: dpk
Component: groffAssignee: Bill Nottingham <notting>
Status: CLOSED RAWHIDE QA Contact:
Severity: low Docs Contact:
Priority: medium    
Version: 6.1CC: rvokal
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2000-05-14 18:20:56 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Red Hat Bugzilla 2000-01-07 20:36:59 UTC
The postscript (and hplj) output drivers for groff lack support for
printing on A4 paper.  Setting up for A4 paper is not documented for groff.

The following file could be supplied with the groff distribution to support
the use of A4 paper (used in much of the world instead of the Letter format
used widely in the US).  This is a modified version of
/usr/lib/groff/font/devps/DESC. I don't know the best way to set this up at
install time.

In my system, I have both files (DESC.a4 and
DESC.letter) and a symlink from DESC to the correct one).  The
modifications
are to the "unitwidth" (reduced from 1000 to 970, and "paperlength"
(increased from 792000 to 841888).  The hplj output driver needs a similar
fix, but the parameters are different.

-Doug-

devps/DESC (for A4):
res 72000
hor 1
vert 1
sizescale 1000
unitwidth 970
sizes 1000-10000000 0
styles R I B BI
family T
fonts 9 0 0 0 0 0 SS S ZD ZDR
tcommand
postpro grops
broken 7
paperlength 841888
print lpr

Comment 1 Red Hat Bugzilla 2000-05-14 18:20:59 UTC
Fixed (by adding text above verbatim as README.A4) in groff-1.15-9.
Thanks for the report.

Comment 2 Red Hat Bugzilla 2002-06-01 10:31:49 UTC
The information in README.A4 is incorrect and should not have been added.
It is leading to confusion for users, e.g.
http://groups.google.com/groups?selm=ued12o21tng56b%40corp.supernews.com
Please remove README.A4 from RedHat's groff RPM.  I've checked with
Werner Lemburg, GNU Groff Technical issues lead, and he concurs --
http://ffii.org/archive/mails/groff/2002/Jun/0001.html

If you have further problems WRT groff, please contact the groff maintainers,
http://ffii.org/mailman/listinfo/groff/